<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Resumen de Ventas, Caja Chica y Gastos Menores';
echo "<title>".AppName.' - '.$title."</title>";
$fecha = DataForms::GET('id');
$SucCodigo = SucursalUsuario($USID);

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');
	
function SucursalUsuario($us_codigo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_codigo');

  return $sucursal;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																																		
									<div class="table-responsive" id='rVentas' style='display:none'>										
									<?php
									$Productos = new DB();
									$ProdVendido = new DB();
									$Clientes = new DB();
									$Ubicaciones = new DB();

									$sumaVentas = 0;

										$sqlVentas = "SELECT * FROM ventas_cajeros caj, ventas_productos prod
										WHERE caj.ven_codigo = prod.ven_codigo
										AND caj.entre_estado = '1'
										AND caj.caja_codigo = '$codigo_universal'
										AND caj.cajeros_usid = '$USID'
										AND caj.ent_fechaentrega LIKE('".$fecha."%')
										GROUP BY caj.entre_codigo
										ORDER BY caj.entre_id DESC;";
									
									$Productos->dbSQL($sqlVentas);
									$CantRegistros = $Productos->dbNumRows();
									$html='<h3><b>Cantidad: </b>'.$CantRegistros.' ventas</h3><hr>';
									$i=0;
									while($Productos->next()){										
										$entre_codigo = $Productos->dbField('entre_codigo');
										$ven_codigo = $Productos->dbField('ven_codigo');
										$cajeros_usid = $Productos->dbField('cajeros_usid');
										$entre_estado = $Productos->dbField('entre_estado');
										$ent_fecha = $Productos->dbField('ent_fecha');
										$ent_fechaentrega = $Productos->dbField('ent_fechaentrega');
										$ven_numerolista = $Productos->dbField('ven_numerolista');
										$clie_codigo = $Productos->dbField('clie_codigo');

										if($entre_estado=='0'){
											$classEntregas = 'btn btn-danger';
											$EntregaEstado = '<b>ESTADO PENDIENTE</b>';
											$link = PATH_HOME.'cajeros-entregar/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&contador_ventas='.$ven_numerolista;
										}else{
											$classEntregas = 'btn btn-primary';
											$EntregaEstado = '<b>PAGADO Y ENVIADO A ALMACEN</b>';
											$link='#';
										}

										$html.='<h2><b>Numero Lista: </b>'.$ven_numerolista.'</h2>';
											$html.='<table class="display table table-striped table-hover" >
											<thead>
												<tr>				
													<th width="1%">fecha</th>													
													<th>descripci&Oacute;n</th>
													<th>cliente</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>';

											//productos info
										$sqlProdVendido = "SELECT * FROM ventas_productos ven, inventarios_productos prod
											WHERE ven.ven_codigo='$ven_codigo'
											AND prod.prod_codigo = ven.prod_codigo;";
											$ProdVendido->dbSQL($sqlProdVendido);
											$total = 0;
											$clie_descuento=0;
												while($ProdVendido->next()){														
													//ubicaciones	
													
													//ventas fecha
													$ven_fecha = $ProdVendido->dbField('ven_fecha');
													//productos
													$prod_item = $ProdVendido->dbField('prod_item');
													$prod_codigo = $ProdVendido->dbField('prod_codigo');
													$prod_nombre = $ProdVendido->dbField('prod_nombre');
													$ubica_origen = $ProdVendido->dbField('ubica_codigo');
													$prod_piezascaja = $ProdVendido->dbField('prod_piezascaja');
													//$prod_cantidadcajas = $ProdVendido->dbField('prod_cantidadcajas');
													$prod_preciounitario = $ProdVendido->dbField('prod_preciounitario');
													$prod_preciodocena = $ProdVendido->dbField('prod_preciodocena');
													$prod_preciocajadocena  = $ProdVendido->dbField('prod_preciocajadocena');	
													//
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
													WHERE ubica_codigo = '$ubica_origen';";											
													$Ubicaciones->dbSQL($sqlUbicaciones);
													$Ubicaciones->next();													
														$ubica_nombre = str_replace(' ','&nbsp;',$Ubicaciones->dbField('ubica_nombre'));
														$ubica_color = $Ubicaciones->dbField('ubica_color');
																											
													//clientes		
													$sqlClientes = "SELECT * FROM inventarios_clientes
													WHERE clie_codigo = '$clie_codigo';";				
													$Clientes->dbSQL($sqlClientes);
													if($Clientes->next()){					
														$clie_codigo = $Clientes->dbField('clie_codigo');
														$clie_cinit = $Clientes->dbField('clie_cinit');
														$clie_nombres = $Clientes->dbField('clie_nombres');
														$clie_apellidos = $Clientes->dbField('clie_apellidos');
														$clie_destino = $Clientes->dbField('clie_destino');
														$clie_celular = $Clientes->dbField('clie_celular');
														$clie_tipopago = $Clientes->dbField('clie_tipopagonombre');
														$clie_descuento = $Clientes->dbField('clie_descuento');
														$clie_personarecoge = $Clientes->dbField('clie_personarecoge');
														$clie_puntoentrega = $Clientes->dbField('clie_puntoentrega');
													}else{
														$clie_cinit = '&nbsp;';
														$clie_nombres = '&nbsp;';
														$clie_apellidos = '&nbsp;';
														$clie_destino = '&nbsp;';
														$clie_celular = '&nbsp;';
														$clie_tipopago = '&nbsp;';
														$clie_descuento = 0;
														$clie_personarecoge = '&nbsp;';
														$clie_puntoentrega = '&nbsp;';
													}
													
													//Ubicaciones para entrega
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
													WHERE ubica_codigo = '$clie_puntoentrega';";
													$Ubicaciones->dbSQL($sqlUbicaciones);
														if($Ubicaciones->next())
															$UbicacionesNombre = str_replace(' ','&nbsp;',$Ubicaciones->dbField('ubica_nombre'));
														else
															$UbicacionesNombre = 'Central';
													
													//ventas
													$ven_tipo = $ProdVendido->dbField('ven_tipo');
													$ven_precio = $ProdVendido->dbField('ven_precio');													
													$ven_cantidad = $ProdVendido->dbField('ven_cantidad');

													/*switch($ven_tipo){
														case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													}
													$total = $total + $ven_precio;
													*/
													switch($ven_tipo){
														case '1' : $tipo = 'Unidad'; 
															$precio = $prod_preciounitario;
															$piezas = 1;
															$unicaja = 'unidades';
															$cantidades = $ven_cantidad*$piezas;
															$precios = number_format(($precio/$piezas),2);
														break;
														case '2' : $tipo = 'Docena'; 
															$precio = $prod_preciodocena;
															$piezas = 12;
															$unicaja = 'unidades';														
															$cantidades = $ven_cantidad*$piezas;
															$precios = number_format(($precio),2);
														break;
														case '3' : $tipo = 'Caja Docena'; 
															$precio = $prod_preciocajadocena;
															$piezas = $prod_piezascaja;
															$unicaja = 'cajas';
															$cantidades = $ven_cantidad*$piezas;
															$precios = number_format(($precio/$piezas),2);
														break;
														case '4' : $tipo = 'Docena'; 
															$precio = $prod_preciodocena;
															$piezas = $prod_piezascaja;
															$unicaja = 'unidades';														
															$cantidades = $ven_cantidad;
															$precios = number_format(($precio),2);
														break;
													  }													
													$total = $total + $ven_precio;
													$html.='<tr>';
														$html.='<td>'.$prod_item.'</td>';
														$html.='<td>'.$prod_nombre.'</td>';
														$html.='<td>'.$clie_nombres.' '.$clie_apellidos.'</td>';
														$html.='<td align=center>'.$ven_cantidad.'</td>';
														$html.='<td align=center>'.($cantidades).'</td>';
														$html.='<td align=center>$u$.:'.$precios.'<br>
														Bs:'.$precios*Dollar().'</td>';
														$html.='<td align=center>$u$:'.number_format(($precios)*($cantidades),2).'<br>
														Bs.:'.number_format((($precios)*($cantidades)*Dollar()),2).'</td>';		
														$html.='</tr>';	

												
													/*$html.='<tr>';
													$html.='<td>'.$ent_fechaentrega.'</td>';												
													$html.='<td><b>'.$prod_nombre.'</b><br>
													 		<small><b>Item: </b>'.$prod_item.'</small><br>
															 <small><b>Ubicaci&oacute;n: <span style="background:'.$ubica_color.';padding:4px 7px;color:#cccccc;border-radius:7px;text-shadow:1px 3px 2px black;">'.$ubica_nombre.'</span></b><br>
															<small><b>Punto Entrega: </b>'.$UbicacionesNombre.'</small>
														</td>';													
													$html.='<td>'.$clie_nombres.' '.$clie_apellidos.'</td>';																																						
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
													$html.='</tr>';	*/
												}// wend $ProdVendido()
												$NumDescuento = $total*($clie_descuento/100);
												$subtotal = $total-$NumDescuento;
												$sumaVentas += $subtotal;

												$html.= '<tr style="background:#cccccc">
													<td colspan="5" align=center></td>
													<td colspan="2" align=right>
													<h3>Total Parcial: $u$.: '.number_format(($total/Dollar()),2).'</h3>
													<h3>Total Parcial: Bs.: '.number_format($total,2).'</h3></td></tr>';											
													$html.= '<tr><td colspan=7 align=right><h3>Descuento $u$.: '.number_format(($NumDescuento/Dollar()),2).'</h3>
													<h3>Descuento Bs. '.number_format($NumDescuento,2).'</h3></td></tr>';
													$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: $u$.: '.number_format(($subtotal/Dollar()),2).'</b></h3>
													<h3><b>Subtotal menos Descuento: Bs. '.number_format($subtotal,2).'</b></h3></td></tr>';
												
												$html.='</tbody></table>';
													
										}//wend 
										echo $html;
										?>																								
									</div>
									<div class="table-responsive" id='rApertura' style='display:none'>
									<table class="display table table-striped table-hover" >
									<thead>
												<tr>							
													<th>N&ordm;</th>
													<th>detalles</th>
													<th>monto</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM rol_usuarios_asistencia 
											WHERE asis_fecha = '$fecha'
											AND us_id = '$USID'
											AND asis_tipo = 'inicio';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$sumaApertura=0;
											while($db->next()){						
											$i++;																																																				
												$asis_codigo = $db->dbField('asis_codigo');
												$asis_fecha = $db->dbField('asis_fecha');
												$asis_hora = $db->dbField('asis_hora');
												$asis_apertura = $db->dbField('asis_apertura');
												$asis_detalle = $db->dbField('asis_detalle');

												$sumaApertura = $sumaApertura + $asis_apertura; 
												if($asis_apertura!=0){
													$html.='<tr>';
														$html.='<td align=center>1</td>';
														$html.='<td align=center>Apertura de Caja</td>';
														$html.='<td align=right>'.number_format($asis_apertura,2).'</td>';
													$html.='</tr>';																							
												}
												
											}//wend() 
											$html.='<tr>
											<td colspan=1 align=right></td>
											<td align=right><h2>TOTAL</h2></td>
											<td align=right><h2>'.number_format($sumaApertura,2).'</h2></td></tr>';
											echo $html;
											?>	</tbody>																								
									</table>
									</div>
									<div class="table-responsive" id='rCajaChica' style='display:none'>
									<table class="display table table-striped table-hover" >
									<thead>
												<tr>							
													<th>N&ordm;</th>
													<th>detalles</th>
													<th>fecha</th>
													<th>monto</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											echo $sql = "SELECT * FROM inventarios_cajachica 
											WHERE caja_fecha LIKE '".$fecha."%'
											AND us_codigo = '$USID'
											AND caja_codigo2 = '$codigo_universal';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$sumaCajaChica=0;
											while($db->next()){						
											$i++;																																								
												$caja_detalle = $db->dbField('caja_detalle');
												$caja_importe = $db->dbField('caja_importe');
												$caja_fecha	 = $db->dbField('caja_fecha');

												$sumaCajaChica = $sumaCajaChica + $caja_importe; 
												$html.='<tr>';
													$html.='<td align=center>'.$i.'</td>';
													$html.='<td>'.$caja_detalle.'</td>';
													$html.='<td align=center>'.$caja_fecha.'</td>';
													$html.='<td align=right>'.number_format($caja_importe,2).'</td>';
												$html.='</tr>';											
												
											}//wend() 
											$html.='<tr>
											<td colspan=2 align=right></td>
											<td align=right><h2>TOTAL</h2></td>
											<td align=right><h2>'.number_format($sumaCajaChica,2).'</h2></td></tr>';
											echo $html;
											?>	</tbody>																								
									</table>
									</div>
									<div align=center>
										<div class="btn btn-primary" onclick="Desplegar('rVentas')"><b>Total Ventas: $u$.<?php echo number_format(($sumaVentas/Dollar()),2); ?></b><br>
										<b>Total Ventas: Bs.<?php echo number_format($sumaVentas,2); ?></b></div> 
											<br><br>
										<div class="btn btn-primary" onclick="Desplegar('rApertura')"><b>Caja Apertura: $u$.<?php echo number_format(($sumaApertura/Dollar()),2); ?></b><br>
										<b>Caja Apertura: Bs.<?php echo number_format($sumaApertura,2); ?></b></div>
											<br><br>
										<div class="btn btn-primary" onclick="Desplegar('rCajaChica')"><b>Caja Chica y Gastos Menores: $u$.<?php echo number_format(($sumaCajaChica/Dollar()),2); ?></b><br>
										<b>Caja Chica y Gastos Menores: Bs.<?php echo number_format($sumaCajaChica,2); ?></b></div>
											<br><br>
										<div class="btn btn-primary"><h2 style="font-weight:bold">TOTAL CAJA: $u$.<?php 
											$totalCaja = $sumaVentas + ($sumaApertura) - $sumaCajaChica;
											echo number_format(($totalCaja/Dollar()),2); ?></h2>
											<h2 style="font-weight:bold">TOTAL CAJA: Bs.<?php 
											$totalCaja = $sumaVentas + ($sumaApertura) - $sumaCajaChica;
											echo number_format($totalCaja,2); 
											?></h2></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
let sw=true;	
function Desplegar(art){
	if(sw){
		$('#'+art).slideDown('slow');
		sw=false;
	}else{
		$('#'+art).slideUp('slow');
		sw=true;
	}
	
}
</script>